/// <reference types="undertaker" />
import { Logger } from '../common/logger';
import { PackerOptions } from '../model/packer-options';
import { BuildMode } from '../model/build-mode';
/**
 * Copy example style sheets.
 * @param styleExt Style sheet extension.
 * @param projectDir Project root directory.
 * @param log Logger reference.
 */
export declare const copyExampleStyleSheets: (styleExt: string, projectDir: string, log: Logger) => import("undertaker").TaskFunction;
/**
 * Copy example handlebars templates.
 * @param project DirProject root directory.
 * @param log Logger reference.
 */
export declare const copyExampleTemplates: (projectDir: string, log: Logger) => import("undertaker").TaskFunction;
/**
 * Copy example assets.
 * @param projectDir Project root directory.
 * @param log Logger reference.
 */
export declare const copyExampleAsset: (projectDir: string, log: Logger) => import("undertaker").TaskFunction;
/**
 * Copy example source.
 * @param packerOptions Packer options object.
 * @param buildMode Package build mode.
 * @param scriptExt Script file extension.
 * @param styleExt Style sheet extension.
 * @param projectDir Project root directory.
 * @param log Logger reference.
 */
export declare const copyExampleSource: (packerOptions: PackerOptions, buildMode: BuildMode, scriptExt: string, styleExt: string, projectDir: string, log: Logger) => import("undertaker").TaskFunction;
/**
 * Get example source generation gulp tasks.
 * @param packerOptions Packer options object.
 * @param styleExt Style sheet file extension.
 * @param scriptExt Script file extension.
 * @param buildMode Project build mode.
 * @param projectDir Project root directory.
 * @param log Logger reference.
 */
export declare const getExampleSourceGenerationsTasks: (packerOptions: PackerOptions, styleExt: string, scriptExt: string, buildMode: BuildMode, projectDir: string, log: Logger) => import("undertaker").TaskFunction[];
